<template>
    <header>
        <h1>{{titleHeader}}</h1>
        <button type="button" class="btn btn-info" v-on:click="changeTitleHeader">Thay đổi Title Header</button>
        </header>
    
</template>

<script>
export default {
    name: 'component-header',
    props: {
        titleHeader: String
    },
    data: function() {
        return {
            
        }
    },
    methods: {
        changeTitleHeader() {
            console.log('Truoc khi kich hoat event');
            this.$emit('changeTitleEvent');
            console.log('Sau khi kich hoat');
        }
    },
}
</script>

<style>
    h1{
        padding-top: 20px;
        text-align: center;
        color:#FCD421;
    }
    header {
        margin-bottom: 50px;
        background-color: #01767F;
    }
</style>